## Apache Zeta Components Manual :: Docs For Class ezcGraphOdometerChartOptions

### Graph::ezcGraphOdometerChartOptions

### Class ezcGraphOdometerChartOptions

Class containing the options for odometer charts

1. $graph=newezcGraphOdoMeterChart();
3. $graph->data['Test']=new ezcGraphArrayDataSet (array(0,1,23,30) );
5. $graph->options->odometerHeight=.3;
6. $graph->options->borderColor='#2e3436';
8. $graph->render(150,50,'odometer.svg');

Source for this file: /Graph/src/options/odometer_chart.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions
          |
          --ezcGraphOdometerChartOptions

Version: | //autogentag//

### Properties

ezcGraphColor | read/write | `$borderColor` Color of border around odometer chart
int | read/write | `$borderWidth` Width of border around odometer chart
ezcGraphColor | read/write | `$endColor` End color of grdient used as the odometer chart background.
int | read/write | `$markerWidth` Width of odometer markers
float | read/write | `$odometerHeight` Height consumed by odometer chart
ezcGraphColor | read/write | `$startColor` Start color of grdient used as the odometer chart background.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3